classification
Title: PEP 597: Fix EncodingWarning warnings in the Python stdlib
Type: Stage: patch review
Components: Versions: Python 3.10
process
Status: open Resolution:
Dependencies: Superseder: PEP 597: Implemente encoding="locale" option and EncodingWarning
View: 43510
Assigned To: Nosy List: methane, vstinner
Priority: normal Keywords: patch

Created on 2021-03-29 04:30 by methane, last changed 2021-04-06 08:03 by methane.

Pull Requests
URL Status Linked Edit
PR 25097 merged methane, 2021-03-30 10:55
PR 25109 merged methane, 2021-03-31 08:05
PR 25126 merged methane, 2021-04-01 02:45
PR 25127 merged methane, 2021-04-01 02:54
PR 25128 merged methane, 2021-04-01 03:14
PR 25142 merged methane, 2021-04-02 00:27
PR 25145 merged methane, 2021-04-02 04:15
PR 25158 merged methane, 2021-04-03 10:51
PR 25159 merged methane, 2021-04-03 10:54
PR 25171 merged methane, 2021-04-04 00:08
PR 25181 merged methane, 2021-04-04 08:41
PR 25189 merged methane, 2021-04-05 04:23
PR 25190 merged methane, 2021-04-05 06:00
PR 25192 merged methane, 2021-04-05 13:39
PR 25204 merged methane, 2021-04-06 04:32
Messages (15)
msg389945 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-01 02:23
New changeset 55f31be44b7e3ee24a67134f99543512a9b630e4 by Inada Naoki in branch 'master':
bpo-43651: Fix EncodingWarning in test_file and test_file_eintr (GH-25109)
https://github.com/python/cpython/commit/55f31be44b7e3ee24a67134f99543512a9b630e4
msg389946 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-01 02:25
New changeset 58cffba1874f0e9a9731b25a3e11a011bfbbf95f by Inada Naoki in branch 'master':
bpo-43651: Fix EncodingWarning in test_io (GH-25097)
https://github.com/python/cpython/commit/58cffba1874f0e9a9731b25a3e11a011bfbbf95f
msg390019 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-01 23:57
New changeset 036fc7de24cc961d65b60fba266104009feb2797 by Inada Naoki in branch 'master':
bpo-43651: Fix EncodingWarning in test_warnings (GH-25126)
https://github.com/python/cpython/commit/036fc7de24cc961d65b60fba266104009feb2797
msg390020 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-01 23:59
New changeset c0ec4486dc7dd70fea39d1473ac9a9ac568378fe by Inada Naoki in branch 'master':
bpo-43651: Fix EncodingWarning in lib2to3/pgen2/pgen.py (GH-25127)
https://github.com/python/cpython/commit/c0ec4486dc7dd70fea39d1473ac9a9ac568378fe
msg390021 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-02 00:02
New changeset 80017752ba938852d53f9d83a404b4ecd9ff2baa by Inada Naoki in branch 'master':
bpo-43651: Fix test_compileall with PEP 597 (GH-25128)
https://github.com/python/cpython/commit/80017752ba938852d53f9d83a404b4ecd9ff2baa
msg390033 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-02 03:54
New changeset 8bbfeb3330c10d52274bb85fce59ae614f0500bf by Inada Naoki in branch 'master':
bpo-43651: PEP 597: Fix EncodingWarning in some tests (GH-25142)
https://github.com/python/cpython/commit/8bbfeb3330c10d52274bb85fce59ae614f0500bf
msg390158 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-04 00:01
New changeset 35715d1e72b7e15e337087863c75af447199e0fb by Inada Naoki in branch 'master':
bpo-43651: PEP 597: Fix EncodingWarning in some tests (GH-25145)
https://github.com/python/cpython/commit/35715d1e72b7e15e337087863c75af447199e0fb
msg390176 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-04 08:01
New changeset 3caea9adda7f79ab5d4c5a1905ca62b44e0b3b7b by Inada Naoki in branch 'master':
bpo-43651: PEP 597: Fix EncodingWarning in some tests (GH-25171)
https://github.com/python/cpython/commit/3caea9adda7f79ab5d4c5a1905ca62b44e0b3b7b
msg390220 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-05 03:30
New changeset de522a89e42a35da9275169b113460c3581e32d7 by Inada Naoki in branch 'master':
bpo-43651: PEP 597: Fix test_email (GH-25158)
https://github.com/python/cpython/commit/de522a89e42a35da9275169b113460c3581e32d7
msg390221 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-05 03:32
New changeset ee952b5c7355cb64179ca9bb77b13e7738132d3d by Inada Naoki in branch 'master':
bpo-43651: PEP 597: Fix EncodingWarning in test_filecmp (GH-25159)
https://github.com/python/cpython/commit/ee952b5c7355cb64179ca9bb77b13e7738132d3d
msg390222 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-05 04:11
New changeset c8e5eb904e12010d2302364e1037c24a30f5e241 by Inada Naoki in branch 'master':
bpo-43651: PEP 597: Fix EncodingWarning in some tests (GH-25181)
https://github.com/python/cpython/commit/c8e5eb904e12010d2302364e1037c24a30f5e241
msg390268 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-06 01:01
New changeset 3d4af4a876e679431c6a3751667ded63cc6f66c1 by Inada Naoki in branch 'master':
bpo-43651: Fix EncodingWarning in sysconfig (GH-25192)
https://github.com/python/cpython/commit/3d4af4a876e679431c6a3751667ded63cc6f66c1
msg390271 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-06 02:18
New changeset fb78692f2ad5ee4747f13a73943fbf134b637669 by Inada Naoki in branch 'master':
bpo-43651: PEP 597: Fix EncodingWarning in some tests (GH-25189)
https://github.com/python/cpython/commit/fb78692f2ad5ee4747f13a73943fbf134b637669
msg390273 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-06 04:02
New changeset 4663e5f39e9f872dcd69545f293e832d5855d084 by Inada Naoki in branch 'master':
bpo-43651: PEP 597: Fix EncodingWarning in some tests (GH-25190)
https://github.com/python/cpython/commit/4663e5f39e9f872dcd69545f293e832d5855d084
msg390293 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-04-06 08:03
New changeset 489c36920e94bfb4988b6f965bd0aafdfaff0d4f by Inada Naoki in branch 'master':
bpo-43651: PEP 597: Fix pdeps used locale encoding (GH-25204)
https://github.com/python/cpython/commit/489c36920e94bfb4988b6f965bd0aafdfaff0d4f
History
Date User Action Args
2021-04-06 08:03:02methanesetmessages: + msg390293
2021-04-06 04:32:55methanesetpull_requests: + pull_request23943
2021-04-06 04:02:33methanesetmessages: + msg390273
2021-04-06 02:18:49methanesetmessages: + msg390271
2021-04-06 01:01:23methanesetmessages: + msg390268
2021-04-05 13:39:25methanesetpull_requests: + pull_request23934
2021-04-05 06:00:44methanesetpull_requests: + pull_request23932
2021-04-05 04:23:08methanesetpull_requests: + pull_request23931
2021-04-05 04:11:37methanesetmessages: + msg390222
2021-04-05 03:32:42methanesetmessages: + msg390221
2021-04-05 03:30:20methanesetmessages: + msg390220
2021-04-04 08:41:07methanesetpull_requests: + pull_request23923
2021-04-04 08:01:35methanesetmessages: + msg390176
2021-04-04 00:08:17methanesetpull_requests: + pull_request23912
2021-04-04 00:01:33methanesetmessages: + msg390158
2021-04-03 10:54:52methanesetpull_requests: + pull_request23906
2021-04-03 10:51:24methanesetpull_requests: + pull_request23905
2021-04-02 04:15:11methanesetpull_requests: + pull_request23892
2021-04-02 03:54:05methanesetmessages: + msg390033
2021-04-02 00:27:48methanesetpull_requests: + pull_request23889
2021-04-02 00:02:04methanesetmessages: + msg390021
2021-04-01 23:59:21methanesetmessages: + msg390020
2021-04-01 23:57:12methanesetmessages: + msg390019
2021-04-01 03:14:36methanesetpull_requests: + pull_request23875
2021-04-01 02:54:00methanesetpull_requests: + pull_request23874
2021-04-01 02:45:25methanesetpull_requests: + pull_request23873
2021-04-01 02:25:10methanesetmessages: + msg389946
2021-04-01 02:23:22methanesetmessages: + msg389945
2021-03-31 08:05:44methanesetpull_requests: + pull_request23853
2021-03-31 04:20:19methanesetsuperseder: PEP 597: Implemente encoding="locale" option and EncodingWarning
2021-03-30 10:55:17methanesetkeywords: + patch
stage: patch review
pull_requests: + pull_request23841
2021-03-30 07:26:54vstinnersettitle: PEP 597: Fix EncodingError -> PEP 597: Fix EncodingWarning warnings in the Python stdlib
2021-03-30 07:26:30vstinnersetnosy: + vstinner
2021-03-29 04:30:27methanecreate